Anyone using openjdk version "1.8.0_111" and building WildFly Core?

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Anyone using openjdk version "1.8.0_111" and building WildFly Core?

Darran Lofthouse
Is anyone using the following OpenJDK version and building WildFly Core?

   openjdk version "1.8.0_111"
   OpenJDK Runtime Environment (build 1.8.0_111-b16)
   OpenJDK 64-Bit Server VM (build 25.111-b16, mixed mode)

When I use this version to build core with -DallTests occasionally I am
getting weird NullPointerExceptions that suggest a JVM issue.

Just wanted to check if anyone else has seen anything similar.

Regards,
Darran Lofthouse.

_______________________________________________
wildfly-dev mailing list
[hidden email]
https://lists.jboss.org/mailman/listinfo/wildfly-dev
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Anyone using openjdk version "1.8.0_111" and building WildFly Core?

James Perkins
I've not seen any issues with it. I don't always run the full test suite locally though. I did a run just now though and it was fine.

On Tue, Nov 15, 2016 at 2:58 AM, Darran Lofthouse <[hidden email]> wrote:
Is anyone using the following OpenJDK version and building WildFly Core?

   openjdk version "1.8.0_111"
   OpenJDK Runtime Environment (build 1.8.0_111-b16)
   OpenJDK 64-Bit Server VM (build 25.111-b16, mixed mode)

When I use this version to build core with -DallTests occasionally I am
getting weird NullPointerExceptions that suggest a JVM issue.

Just wanted to check if anyone else has seen anything similar.

Regards,
Darran Lofthouse.

_______________________________________________
wildfly-dev mailing list
[hidden email]
https://lists.jboss.org/mailman/listinfo/wildfly-dev



--
James R. Perkins
JBoss by Red Hat

_______________________________________________
wildfly-dev mailing list
[hidden email]
https://lists.jboss.org/mailman/listinfo/wildfly-dev
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Anyone using openjdk version "1.8.0_111" and building WildFly Core?

Richard Opalka
In reply to this post by Darran Lofthouse
Hi Darran,

I'm using it and I'm running whole WildFly-Core test suite on it at
least 2 times a week.

I didn't notice any such failure indicating JVM bug.

Not saying there isn't a bug. Maybe it's hardware dependent?

Rio


On 11/15/2016 11:58 AM, Darran Lofthouse wrote:

> Is anyone using the following OpenJDK version and building WildFly Core?
>
>     openjdk version "1.8.0_111"
>     OpenJDK Runtime Environment (build 1.8.0_111-b16)
>     OpenJDK 64-Bit Server VM (build 25.111-b16, mixed mode)
>
> When I use this version to build core with -DallTests occasionally I am
> getting weird NullPointerExceptions that suggest a JVM issue.
>
> Just wanted to check if anyone else has seen anything similar.
>
> Regards,
> Darran Lofthouse.
>
> _______________________________________________
> wildfly-dev mailing list
> [hidden email]
> https://lists.jboss.org/mailman/listinfo/wildfly-dev

--
Richard Opalka
Principal Software Engineer
Red Hat JBoss Middleware
Mobile: +420 731 186 942
E-mail: [hidden email]

_______________________________________________
wildfly-dev mailing list
[hidden email]
https://lists.jboss.org/mailman/listinfo/wildfly-dev
Loading...